Actualizar etiqueta
curl --request PATCH \
--url https://api.lapyme.com.ar/api/v1/tags/{tag_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"archived": true
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/tags/{tag_id}"
payload = {
"name": "<string>",
"description": "<string>",
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', archived: true})
};
fetch('https://api.lapyme.com.ar/api/v1/tags/{tag_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"tag": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_tag_update_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request for updating tags",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_tag_update_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_tag_update_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_tag_update_1",
"error": {
"code": "NOT_FOUND",
"message": "Etiqueta no encontrada",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_tag_update_1",
"error": {
"code": "CONFLICT",
"message": "A tag with this name already exists for this record type.",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_tag_update_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not update the tag",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Actualizar etiqueta
Renombra, actualiza metadatos o archiva/desarchiva una etiqueta existente.
PATCH
/
api
/
v1
/
tags
/
{tag_id}
Actualizar etiqueta
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
ID opcional de la solicitud para trazabilidad. Si se omite, el servidor genera uno.
Path Parameters
ID de la etiqueta
Body
application/json
Was this page helpful?
⌘I

